com.h3c.of.lib.instr

## Enum InstructionType

- java.lang.Object
- - java.lang.Enum<InstructionType>
  - - com.h3c.of.lib.instr.InstructionType

- All Implemented Interfaces:
    OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<InstructionType>

      public enum InstructionType
      extends Enum<InstructionType>
      implements OfpCodeBasedEnum

  Denotes the different Flow instruction types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLY_ACTIONS` Apply the action(s) immediately; Since 1.1.
    `CLEAR_ACTIONS` Clear all actions from the datapath action set; Since 1.1.
    `EXPERIMENTER` Experimenter instruction; Since 1.1.
    `GOTO_TABLE` Set up the next table in the lookup pipeline; Since 1.1.
    `METER` Apply meter (rate limiter); Since 1.3.
    `WRITE_ACTIONS` Write the action(s) onto the datapath action set; Since 1.1.
    `WRITE_METADATA` Set up the metadata field for use later in the pipeline; Since 1.1.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `static InstructionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InstructionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GOTO_TABLE

          public static final InstructionType GOTO_TABLE

      Set up the next table in the lookup pipeline; Since 1.1.

    - #### WRITE_METADATA

          public static final InstructionType WRITE_METADATA

      Set up the metadata field for use later in the pipeline; Since 1.1.

    - #### WRITE_ACTIONS

          public static final InstructionType WRITE_ACTIONS

      Write the action(s) onto the datapath action set; Since 1.1.

    - #### APPLY_ACTIONS

          public static final InstructionType APPLY_ACTIONS

      Apply the action(s) immediately; Since 1.1.

    - #### CLEAR_ACTIONS

          public static final InstructionType CLEAR_ACTIONS

      Clear all actions from the datapath action set; Since 1.1.

    - #### METER

          public static final InstructionType METER

      Apply meter (rate limiter); Since 1.3.

    - #### EXPERIMENTER

          public static final InstructionType EXPERIMENTER

      Experimenter instruction; Since 1.1.

  - ### Method Detail

    - #### values

          public static InstructionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InstructionType c : InstructionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InstructionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

Copyright © 2014. All Rights Reserved.